## aspell-it 0.60

=== Makefile ===
ASPELL = aspell
ASPELL_FLAGS = 
WORD_LIST_COMPRESS = word-list-compress
DESTDIR = 
dictdir = /usr/local/lib/aspell-0.60
datadir = /usr/local/lib/aspell-0.60

# Generated with Aspell Dicts "proc" script version 0.50.2

lang = it
version = 0.52

cwl_files = it.cwl
data_files = it.dat
doc_files = README COPYING Copyright
extra_files = configure info Makefile.pre
multi_files = it.multi italian.alias italiano.alias
rws_files = it.rws


distdir=aspell-${lang}-${version}

all: ${rws_files} ${data_files}

install: all
	mkdir -p ${DESTDIR}${dictdir}/
	cp ${rws_files} ${multi_files} ${DESTDIR}${dictdir}/
	cd ${DESTDIR}${dictdir}/ && chmod 644 ${rws_files} ${multi_files}
	mkdir -p ${DESTDIR}${datadir}/
	cp ${data_files} ${DESTDIR}${datadir}/
	cd ${DESTDIR}${datadir}/ && chmod 644 ${data_files}

clean:
	rm -f ${rws_files}

uninstall:
	-cd ${DESTDIR}${dictdir}/ && rm ${rws_files} ${multi_files} ${link_files}
	-cd ${DESTDIR}${datadir}/ && rm ${data_files}

dist:
	perl proc
	./configure
	@make dist-nogen

dist-nogen:
	-rm -r ${distdir}
	mkdir ${distdir}
	cp -p ${extra_files} ${cwl_files} ${multi_files} ${doc_files} ${data_files} ${distdir}/
	-cp -pr doc/ ${distdir}/
	gtar cfj ${distdir}.tar.bz2 ${distdir}/
	rm -r ${distdir}/

distcheck:
	tar xfj ${distdir}.tar.bz2
	cd ${distdir} && ./configure && make

rel:
	mv ${distdir}.tar.bz2 ../rel


it.rws: it.cwl


.SUFFIXES: .cwl .rws

.cwl.rws:
	cat < $< | ${ASPELL} ${ASPELL_FLAGS} --lang=it create master ./$@

## aspell-it 2.4-20070901-0

=== debian/changelog ===
aspell-it (2.4-20070901-0-5) experimental; urgency=medium

  * QA upload.
  * debian/control: Bump Standards-Version to "4.7.2".
  * debian/copyright:
    - Change FSF address to URL.
    - Update packaging copyright information.
  * debian/upstream/metadata: Add upstream metadata information.
  * debian/watch: Update to version 4.

 -- Pedro Hannemann <pedrohannemann@gmail.com>  Sun, 22 Jun 2025 12:16:40 -0300

aspell-it (2.4-20070901-0-4) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Fix day-of-week for changelog entries 0.60.20051211-1.
  * Wrap long lines in changelog entries: 0.60.20051211-1, 0.60-2.
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on dictionaries-common-dev.

  [ Adam Borowski ]
  * Fix FTBS by moving dictionaries-common-dev to B-Depends.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 15 Jul 2023 23:18:39 +0200

aspell-it (2.4-20070901-0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 15:02:25 +0100

aspell-it (2.4-20070901-0-3) unstable; urgency=medium

  * QA group upload.
  * debian/control:
    - Set maintainer to the Debian QA team.
    - Update Vcs-Browser and Vcs-Git for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.
  * debian/copyright:
    - Put global files wildcard first.
    - Use secure copyright format uri.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 04 May 2018 19:17:31 +0200

aspell-it (2.4-20070901-0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Example-package to demonstrate dh_aspell-simple available in
    dictionaries-common-dev >=1.23.3. See bug #737515 for details.
  * The new handling also Closes: #638424, as hashing is now done at install
    time.
  * Packaging overhaul (to really have a state-of-the-art model package)
    - d/control: update to SV 3.9.5, remove obsolete DM-Upload-Allowed, adding
      misc:Depends and aspell:Depends to the binary package dependencies
    - d/rules: update to debhelper short syntax (using dh_aspell-simple).
    - d/compat set to 9 and B/D on debhelper >9
    - d/source/format set to 3.0 (quilt)
    - d/copyright changed to dep5 style

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 13 Jul 2014 09:33:19 +0200

aspell-it (2.4-20070901-0-2) unstable; urgency=low

  * [0cf20e9] Bump to debhelper 7 compatibility levels
  * [f588d0d] Do not install pointless docs
  * [e98d0fb] debian/rules: Use dh_prep instead of deprecated dh_clean -k
  * [efb54cb] Updated to standards version 3.8.1 (No changes needed)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 11 May 2009 14:11:41 +0200

aspell-it (2.4-20070901-0-1) unstable; urgency=low

  * New upstream release (Closes: #443980)
  * New maintainer, thanks to Stefano Melchior for the prior work on aspell-it
    (Closes: #514662)
  * debian/control:
    + Removed aspell and dictionaries-common-dev from Depends, and added to
      Build-Depends-Indep
    + Updated to standards version 3.8.0
      - Added Homepage field
    + Added Version Control System location
    + Set DM-Upload-Allowed field
  * Removed pointless debian/install
  * Added watch file
  * Updated debian/copyright
  * Removed debian/patches/00_makefile.patch
  * debian/rules:
    + use binary-indep target instead of binary-arch
    + Do not ignore make clean error

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 10 Feb 2009 09:38:21 +0100

aspell-it (0.60.20060723ds1-1) unstable; urgency=high

  * Fixed issue #390615 by calling the aspell-autobuildhash (Closes: #390615)
  * Added the correct "Suggests:" to switch from aspell-bin to aspell>=0.60.3-3
  * Fixed issue in creating the orig.tar.gz file
  * Added the info file aspell-it.info-aspell

 -- Stefano Melchior <stefano.melchior@openlabs.it>  Thu, 16 Nov 2006 15:22:16 +0100

aspell-it (0.60.20060723-1) unstable; urgency=low

  * New updated version of dictionary (2006-07-23).  (Closes: #308526)
  * Corrected wrong "Suggests:" entry and dependency (Closes: #323427).

 -- Stefano Melchior <stefano.melchior@openlabs.it>  Mon, 25 Sep 2006 13:55:43 +0200

aspell-it (0.60.20051211-1) unstable; urgency=low

  * Updated "Standard-version" to 3.7.2.
  * Updated the project repository and the Free Software Foundation address in
    the copyright file

 -- Stefano Melchior <stefano.melchior@openlabs.it>  Sat, 23 Sep 2006 10:00:47 +0200

aspell-it (0.60-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Drop incompletely commented-out patch code from debian/rules, since
    there are currently no patches to apply.  Closes: #356114.

 -- Steve Langasek <vorlon@debian.org>  Sat, 18 Mar 2006 00:53:32 -0800

aspell-it (0.60-3) unstable; urgency=low

  * Updated in order to use new packaging structure (Closes: #319672)

 -- Giuseppe Sacco <eppesuig@debian.org>  Thu,  4 Aug 2005 23:34:05 +0200

aspell-it (0.60-2) unstable; urgency=high

  * Added it_affix.dat file (required for a correct program behaviour)
  * Correctly closes bug for package adoption and a fixed bug (Closes: #288219,
    #284377)

 -- Stefano Melchior <stefano.melchior@openlabs.it>  Fri,  6 May 2005 22:24:05 +0200

aspell-it (0.60-1) unstable; urgency=high

  * New upstream release
  * Package adopted (closes: #288219)
  * Elided words issue fixed (closes: #284377)
  * Package sponsored by Giuseppe Sacco <eppesuig@debian.org>
  * High urgency in order to enter sarge fixing 284377 (severity important)

 -- Stefano Melchior <stefano.melchior@openlabs.it>  Tue, 15 Mar 2005 00:09:29 +0100

aspell-it (0.53-1.1) unstable; urgency=low

  * Non-maintainer upload
  * debian/control: provide aspell6-dictionary, and build-depend on aspell


=== debian/control ===
Source: aspell-it
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13), dictionaries-common-dev
Build-Depends-Indep: aspell
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/aspell-it
Vcs-Git: https://salsa.debian.org/debian/aspell-it.git
Homepage: http://linguistico.sourceforge.net

Package: aspell-it
Architecture: all
Depends: ${misc:Depends},
         ${aspell:Depends}
Provides: aspell-dictionary
Description: Italian dictionary for GNU Aspell
 This package contains all the required files to add support
 for Italian language to the GNU Aspell spell checker.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with aspell-simple

override_dh_auto_configure:
	# This is not an autoconf configure:
	./configure

override_dh_installchangelogs:
	dh_installchangelogs doc/it_IT_ChangeLog
